Bug 261408 - net/libnatpmp: Update to 20220122
Summary: net/libnatpmp: Update to 20220122
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ka Ho Ng
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-22 19:42 UTC by Ka Ho Ng
Modified: 2022-01-26 05:02 UTC (History)
3 users (show)

See Also:
gaod: maintainer-feedback+
ygy: maintainer-feedback+


Attachments
0001-net-libnatpmp-Update-to-20220122.patch (2.21 KB, application/mbox)
2022-01-22 19:42 UTC, Ka Ho Ng
no flags Details
0001-net-libnatpmp-Fix-QA-error-due-to-wrong-path-in-natp.patch (1.35 KB, patch)
2022-01-26 04:30 UTC, Ka Ho Ng
no flags Details | Diff
0001-net-libnatpmp-Fix-QA-error-due-to-wrong-path-in-natp.patch (1.57 KB, patch)
2022-01-26 04:47 UTC, Ka Ho Ng
khng: maintainer-approval? (gaod)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ka Ho Ng freebsd_committer 2022-01-22 19:42:35 UTC
Created attachment 231241 [details]
0001-net-libnatpmp-Update-to-20220122.patch
Comment 1 Hung-Yi Chen 2022-01-22 19:45:07 UTC
Looks good.
Comment 2 Guangyuan Yang freebsd_committer 2022-01-22 22:52:54 UTC
Approved. Please go ahead :)
Comment 3 commit-hook freebsd_committer 2022-01-23 06:49:23 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0ef94638edc3c151b4cdc6eb8b42fe93aa05f566

commit 0ef94638edc3c151b4cdc6eb8b42fe93aa05f566
Author:     Ka Ho Ng <khng@FreeBSD.org>
AuthorDate: 2022-01-22 19:40:27 +0000
Commit:     Ka Ho Ng <khng@FreeBSD.org>
CommitDate: 2022-01-23 06:48:13 +0000

    net/libnatpmp: Update to 20220122

    PR:     261408
    Sponsored by:   The FreeBSD Foundation
    Approved by:    ygy

 net/libnatpmp/Makefile |  9 ++-------
 net/libnatpmp/distinfo | 12 +++---------
 2 files changed, 5 insertions(+), 16 deletions(-)
Comment 4 Volodymyr Kostyrko 2022-01-26 03:49:23 UTC
Hello. Looks like this commit breaks staging in port builders:

===>   Generating temporary packing list
gmake[1]: Entering directory '/tmp/ports/usr/ports/net/libnatpmp/work/libnatpmp-724dc69'
rm -f natpmp.pc
echo "prefix=/tmp/ports/usr/ports/net/libnatpmp/work/stage/usr/local" >> natpmp.pc
echo "exec_prefix=\${prefix}" >> natpmp.pc

...

====> Running Q/A tests (stage-qa)
Error: '/tmp/ports/usr/ports/net/libnatpmp/work/stage/tmp/ports/usr/ports/net/libnatpmp/work/stage/usr/local/lib/pkgconfig/natpmp.pc' is referring to /tmp/ports/usr/ports/net/libnatpmp/work/stage
*** Error code 1

Stop.
Comment 5 Ka Ho Ng freebsd_committer 2022-01-26 04:30:00 UTC
Created attachment 231341 [details]
0001-net-libnatpmp-Fix-QA-error-due-to-wrong-path-in-natp.patch
Comment 6 Guangyuan Yang freebsd_committer 2022-01-26 04:37:53 UTC
reopen
Comment 7 Ka Ho Ng freebsd_committer 2022-01-26 04:47:18 UTC
Created attachment 231342 [details]
0001-net-libnatpmp-Fix-QA-error-due-to-wrong-path-in-natp.patch

A newer version.
Comment 8 Ka Ho Ng freebsd_committer 2022-01-26 05:02:57 UTC
Should be fixed now.